<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.core.biz.persistence.dao.TscPolicyDao">

	<!-- 환경설정 정보 -->
	<select id="getEnvset" parameterType="Envset" resultType="Envset">
		/* TscPolicy.getEnvset */
		SELECT SITE_CD
		     , ENVSET_TYPE
		     , STR_SET_VAL1
		     , STR_SET_VAL2
		     , STR_SET_VAL3
		     , STR_SET_VAL4
		     , STR_SET_VAL5
		     , STR_SET_VAL6
		     , STR_SET_VAL7
		     , STR_SET_VAL8
		     , NUM_SET_VAL1
		     , NUM_SET_VAL2
		     , NUM_SET_VAL3
		     , NUM_SET_VAL4
		     , NUM_SET_VAL5
		     , NUM_SET_VAL6
		     , NUM_SET_VAL7
		     , NUM_SET_VAL8
		FROM   TB_ENVSET
		WHERE  ENVSET_SQ = (SELECT ENVSET_SQ
		                    FROM   (
		                            SELECT ENVSET_SQ
		                            FROM   TB_ENVSET
		                            WHERE  SITE_CD = #{siteCd}
		                            AND    ENVSET_TYPE = #{envsetType}
		                            ORDER  BY ENVSET_SQ DESC
		                           )
		                    WHERE  ROWNUM = 1
		                   )
	</select>

	<!-- 환경설정 생성 -->
	<insert id="createEnvset" parameterType="Envset">
		/* TscPolicy.createEnvset */
		INSERT INTO TB_ENVSET (
		       ENVSET_SQ
		     , SITE_CD
		     , ENVSET_TYPE
		     , COL_DESC
		     , STR_SET_VAL1
		     , STR_SET_VAL2
		     , STR_SET_VAL3
		     , STR_SET_VAL4
		     , STR_SET_VAL5
		     , STR_SET_VAL6
		     , STR_SET_VAL7
		     , STR_SET_VAL8
		     , NUM_SET_VAL1
		     , NUM_SET_VAL2
		     , NUM_SET_VAL3
		     , NUM_SET_VAL4
		     , NUM_SET_VAL5
		     , NUM_SET_VAL6
		     , NUM_SET_VAL7
		     , NUM_SET_VAL8
		     , REG_ID
		     , REG_DT
		)
		VALUES (
		       SEQ_ENVSET.NEXTVAL
		     , #{siteCd}
		     , #{envsetType}
		     , #{colDesc}
		     , #{strSetVal1}
		     , #{strSetVal2}
		     , #{strSetVal3}
		     , #{strSetVal4}
		     , #{strSetVal5}
		     , #{strSetVal6}
		     , #{strSetVal7}
		     , #{strSetVal8}
		     , #{numSetVal1}
		     , #{numSetVal2}
		     , #{numSetVal3}
		     , #{numSetVal4}
		     , #{numSetVal5}
		     , #{numSetVal6}
		     , #{numSetVal7}
		     , #{numSetVal8}
		     , #{regId}
		     , SYSDATE
		)
	</insert>

	<!-- 환경설정 목록 -->
	<select id="getEnvsetList" parameterType="Envset" resultType="Envset">
		/* TscPolicy.getEnvsetList */
		SELECT SITE_CD
		     , ENVSET_TYPE
		     , STR_SET_VAL1
		     , STR_SET_VAL2
		     , STR_SET_VAL3
		     , STR_SET_VAL4
		     , STR_SET_VAL5
		     , STR_SET_VAL6
		     , STR_SET_VAL7
		     , STR_SET_VAL8
		     , NUM_SET_VAL1
		     , NUM_SET_VAL2
		     , NUM_SET_VAL3
		     , NUM_SET_VAL4
		     , NUM_SET_VAL5
		     , NUM_SET_VAL6
		     , NUM_SET_VAL7
		     , NUM_SET_VAL8
		     , REG_ID
		     , TO_CHAR(REG_DT,'YYYYMMDDHH24MISS') AS REG_DT
		FROM   TB_ENVSET
		WHERE  SITE_CD = #{siteCd}
		AND    ENVSET_TYPE = #{envsetType}
		ORDER  BY ENVSET_SQ DESC
	</select>

</mapper>
